	SUBROUTINE CLEARANALYSIS()
	USE WINTERACTER
	USE RESOURCE
	USE SHAREDVARS
	INTEGER ICOL,IROW,ILINE
	EXTERNAL CLEARLINE
	DO IROW=1,4
	DO ICOL=5,5
		CALL WGridClearCell(IDF_MAIN_PARAMETERS_GRID,ICOL,IROW)
	ENDDO
	ENDDO
	DO ILINE=1,NLINE
		XLINE(ILINE)=0
		YLINE(ILINE)=0
		LINELCL(ILINE)=0
		LINEUCL(ILINE)=0
	ENDDO
	CALL WGridClear(IDF_MAIN_ECP_GRID)
	CALL WGridClear(IDF_OPTIMHIST_GRID)
	CALL WGridClear(IDF_CLINFO_GRID)
	CALL WGridClear(IDF_PREDLINEPTS_GRID)
	CALL WGridColourRow(IDF_MAIN_ECP_GRID,4,-1,-1)
	CALL WGridColourColumn(IDF_MAIN_PARAMETERS_GRID,4,-1,-1)
	CALL WDialogClearField(IDF_MAIN_LOGLIKE_DOUBLE)
	CALL WDialogClearField(IDF_MAIN_ERRORINFO_MENU)
	CALL WDialogClearField(IDF_MAIN_AIC_DOUBLE)
	CALL WDialogClearField(IDF_CLINFO_TARGETLIKE_DOUBLE)
	CALL WDialogSelect(IDD_MAIN)
	LINECONFDONE=.FALSE.
	PARMCONFDONE=.FALSE.
	PARMESTDONE=.FALSE.
	CALL CLEARLINE()
	NERROR=0
	RETURN
	END SUBROUTINE CLEARANALYSIS
